> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update MFA settings

> Update organization MFA settings



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/org/updateMFASettings
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/org/updateMFASettings:
    post:
      tags:
        - Org Webservice
      summary: Update MFA settings
      description: Update organization MFA settings
      operationId: updateMFASettings
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Org_UpdateMFASettingsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Org_UpdateMFASettingsWSResponse'
          description: OK
components:
  schemas:
    Org_UpdateMFASettingsWSRequest:
      type: object
      description: Request object for updating MFA settings.
      properties:
        mfaEnabled:
          type: boolean
          description: Whether MFA is enabled for the organization
          example: true
          nullable: true
        v3AuthNumDaysSkip2FAForTrustedDevices:
          type: integer
          format: int32
          description: >-
            Number of days to skip 2FA for trusted devices (< 0 = forever, 0 =
            always require 2FA, > 0 = days to skip)
          example: 30
          nullable: true
    Org_UpdateMFASettingsWSResponse:
      type: object
      description: Response object for updating MFA settings.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        org:
          $ref: '#/components/schemas/OrgV2Type'
        warningMsg:
          type: string
          nullable: true
    OrgV2Type:
      type: object
      description: List of Rhombus organizations the user has access to
      nullable: true
      properties:
        accountBillingContactEmail:
          type: string
          nullable: true
        accountOwnerEmail:
          type: string
          nullable: true
        accountTechnicalContactEmail:
          type: string
          nullable: true
        accountTechnicalContacts:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        address1:
          type: string
          nullable: true
        address2:
          type: string
          nullable: true
        allowedLoginIpRanges:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        audioAnalysisEnabled:
          type: boolean
          nullable: true
        audioRecordingEnabled:
          type: boolean
          nullable: true
        bandwidthReportsDisabled:
          type: boolean
          nullable: true
        companyLogoUrl:
          type: string
          nullable: true
        companyLogoUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        countryCode:
          type: string
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        criticalStatusEnabled:
          type: boolean
          nullable: true
        defaultPlayerViewLiveType:
          $ref: '#/components/schemas/PlayerViewLiveTypeEnum'
        deleted:
          type: boolean
          nullable: true
        deletedAtMillis:
          type: integer
          format: int64
          nullable: true
        developmentPartnerOrg:
          type: boolean
          nullable: true
        firmwareUpdateSettings:
          $ref: '#/components/schemas/FirmwareUpdateSettingsType'
        firmwareUpdateSettingsOverrides:
          type: array
          description: Overrides default firmware update settings.
          items:
            $ref: '#/components/schemas/FirmwareUpdateSettingsOverrideType'
          nullable: true
        inactivityTimeout:
          type: integer
          format: int32
          nullable: true
        itemizedInvoice:
          type: boolean
          nullable: true
        keypadLogoUrl:
          type: string
          nullable: true
        keypadLogoUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        llmUsageEnabled:
          type: boolean
          nullable: true
        maxAllowedSegmentMaxBytesMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        mfaEnabled:
          type: boolean
          nullable: true
        motionGridDisabled:
          type: boolean
          nullable: true
        motionLightweightDisabled:
          type: boolean
          nullable: true
        name:
          type: string
          nullable: true
        newCameraFramerateMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        newCameraResolutionMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        newCameraSegmentMaxBytesMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        newCameraVideoTargetQualityMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        newCameraZeroMotionVideoQualityMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        notifyForHardwareFailureTickets:
          type: boolean
          nullable: true
        partnerAccessAllowedUntil:
          type: integer
          format: int32
          nullable: true
        postalCode:
          type: string
          nullable: true
        rhombusKeyLogoUrl:
          type: string
          nullable: true
        rhombusKeyLogoUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        salesforceAccountId:
          type: string
          nullable: true
        shareAiTrainingMediaWithRhombus:
          type: boolean
          nullable: true
        subscriptionEndDate:
          type: integer
          format: int64
          nullable: true
        subscriptionStatus:
          $ref: '#/components/schemas/SubscriptionStatusEnum'
        subscriptionType:
          $ref: '#/components/schemas/SubscriptionTypeEnum'
        supportAccessAllowedUntil:
          type: integer
          format: int32
          nullable: true
        tenantUrl:
          type: string
          nullable: true
        thumbstripDisabled:
          type: boolean
          nullable: true
        type:
          $ref: '#/components/schemas/OrgTypeEnum'
        uapSettings:
          $ref: '#/components/schemas/UAPSettingsType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        v3AuthNumDaysSkip2FAForTrustedDevices:
          type: integer
          format: int32
          nullable: true
    PlayerViewLiveTypeEnum:
      type: string
      enum:
        - REALTIME
        - BUFFERED
    FirmwareUpdateSettingsType:
      type: object
      nullable: true
      properties:
        intervalsV2:
          type: array
          items:
            $ref: '#/components/schemas/FirmwareUpdateIntervalType'
          nullable: true
        mode:
          $ref: '#/components/schemas/FirmwareUpdateModeEnum'
    FirmwareUpdateSettingsOverrideType:
      type: object
      description: Overrides default firmware update settings.
      nullable: true
      properties:
        deviceTypes:
          type: array
          items:
            $ref: '#/components/schemas/DeviceTypeEnum'
          nullable: true
          uniqueItems: true
        firmwareUpdateSettings:
          $ref: '#/components/schemas/FirmwareUpdateSettingsType'
    SubscriptionStatusEnum:
      type: string
      enum:
        - TRIAL
        - PAID
        - RESELLER
        - LOST
        - UNKNOWN
    SubscriptionTypeEnum:
      type: string
      enum:
        - STARTER
        - PROFESSIONAL
        - ENTERPRISE
        - UNKNOWN
    OrgTypeEnum:
      type: string
      enum:
        - PARTNER
        - CUSTOMER
        - UNKNOWN
    UAPSettingsType:
      type: object
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        text:
          type: string
          nullable: true
    FirmwareUpdateIntervalType:
      type: object
      nullable: true
      properties:
        minuteOfWeekStart:
          type: integer
          format: int32
          nullable: true
        minuteOfWeekStop:
          type: integer
          format: int32
          nullable: true
    FirmwareUpdateModeEnum:
      type: string
      enum:
        - MANUAL
        - SCHEDULED
    DeviceTypeEnum:
      type: string
      enum:
        - BLE_TRACKER
        - CAMERA
        - DOOR_SENSOR
        - ENVIRONMENTAL_SENSOR
        - OCCUPANCY_SENSOR
        - AUDIO_GATEWAY
        - EXECUTABLE
        - BADGE_READER
        - DOOR_CONTROLLER
        - BLE_BUTTON
        - IO_BOARD
        - ENVIRONMENTAL_GATEWAY
        - NVR
        - ROBOT
        - UNKNOWN
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````